/**
 * last update : 2014/12/09
 * last update : 2014/11/26
 * last update : 2014/11/07
 * last update : 2014/11/05
 * last update : 2014/10/01
 * last update : 2014/09/22
 * last update : 2014/07/15
 **/

const ajaxUrl = '/ajax/header_footer?ismodesmartphone=';

let typeOn = 'on';
let typeOff = 'off';
let pcHeader = '';
let spHeader = '';
let Allheader = '';
let cmfoot = '';
let cookieVal = '';
let headerH = 0;

// 読み込み時
window.addEventListener('DOMContentLoaded', () => {
	let paramSet = new Date().getTime();
	
    addLinktag('/cms/css/header-common.css'+paramSet);
    addLinktag('/cms/css/pc-header-common.css?'+paramSet,'screen and (min-width: 801px)');
    addLinktag('/cms/css/sp-header-common.css?'+paramSet,'screen and (max-width: 800px)');

    document.getElementById('footerBlock').remove();
    document.getElementById('navBreadcrumb').remove();
    document.querySelector('.navPageTop').remove();
    document.getElementById('header').outerHTML = '<header class="pane-header om-common-header"><div class="pc-header"></div><div class="sp-header"></div></header>';
    // document.getElementById('header').outerHTML = '<header class="pane-header om-common-header"></header>';
    setTimeout(function(){
    	getElm();
	},100);
});

// リサイズ時
window.addEventListener('resize', () => {
    let headerH = document.querySelector('.pane-header:not(.is-fixed)');
    if (headerH) {
    	headerH = headerH.clientHeight + 10;
    	document.querySelector('body').style.paddingTop  = headerH + 'px';
    }
	if (window.innerWidth < 801) {
		$('.footer-menu-inner .inner-list').each(function(){
	    	if ($(this).css('display') === 'none') {
	    		$(this).css('display','');
	    		$(this).prev().removeClass('is-active');
	    	}
		});
	}
},false);

// スクロール時
$(window).scroll((e)=>{
    setTimeout(function(){
        let posNow = $(window).scrollTop();
        posNow > 10 ? $('header').addClass('is-fixed') : $('header').removeClass('is-fixed');
    },100);

    // トップへ戻る
    const scrollHeight = $(document).height();
    const scrollPosition = $(window).height() + $(window).scrollTop();
    const footHeight = $('footer').height();

    if ($(this).scrollTop() > 120) {
        $('#footer_pagetop').show();
    } else if ($(this).scrollTop() < 80) {
        $('#footer_pagetop').hide();
    }

    if (scrollHeight - scrollPosition <= footHeight) {
        $('#footer_pagetop').css({ 'opacity': '0.2' });
    } else {
        $('#footer_pagetop').css({ 'opacity': '1' });
    }

    let headerH = document.querySelector('.pane-header:not(.is-fixed)');
    if (headerH) {
    	headerH = headerH.clientHeight + 10;
    	document.querySelector('body').style.paddingTop  = headerH + 'px';
    }
});

// ヘッダーメニュークリック
let scrollpos = 0;
$(document).on('click','#js-header-menu',function(){
    if ($(this).hasClass('is-active')){
		$('body').removeClass('body-fixed').css({'top': 0});
		window.scrollTo(0,scrollpos);
		$('#js-modal-menu').fadeOut(200);
		$(this).removeClass('is-active');
		$('.pane-header,#js-modal-menu').removeClass('is-active');
	} else {
		scrollpos = $(window).scrollTop();
		$('body').addClass('body-fixed').css({'top': -scrollpos});
		$('#js-modal-menu').fadeIn(300);
		$(this).addClass('is-active');
		$('.pane-header,#js-modal-menu').addClass('is-active');
	}
});

$(function () {
    // アコーディオン
    toggleSlide('.pane-header .block-modal-menu .js-slid-menu-btn');
    toggleSlide('.block-modal-menu .btn-menu-inner');
    toggleSlide('.footer-menu-inner .inner-block h2');
    toggleSlide('.footer-menu-inner .inner-block h3');

    function toggleSlide(tagElm) {
        $(document).on('click',tagElm,function(){
        	if (window.innerWidth < 801) {
	            $(this).toggleClass('is-active');
	            $(this).next().slideToggle();
        	}
        });
    }
});

function addLinktag(href,media) {
    const head = document.getElementsByTagName('head')[0];
    let link = document.createElement('link');
    link.setAttribute('rel','stylesheet');
    link.setAttribute('type','text/css');
    link.setAttribute('href',href);
    if (media) {
    	link.setAttribute('media',media);
    }
    head.appendChild(link);
}

async function getElm() {
    await getAjaxList(ajaxUrl,'#js-ajax-header-html .pc-header','inner');
    await getAjaxList(ajaxUrl,'#js-ajax-header-html .sp-header','inner');
    await getAjaxList(ajaxUrl,'.block-modal-menu','inner');
    await getAjaxList(ajaxUrl,'.pane-footer','outer');
    
    // ログイン判定
    fetch('/shop/members/loginjudge.aspx').then(response => {
      return response.json();
    })
    .then(data => {
      if (document.querySelector('.pane-header .detail-nav-menu a[href*="/shop/customer/menu.aspx"]')) {
        document.querySelector('.pane-header .detail-nav-menu a[href*="/shop/customer/menu.aspx"]').closest('li').classList.add('is-login');
      }
      if (document.querySelector('.pane-header .modal-nav-menu a[href*="/shop/customer/menu.aspx"]')) {
        document.querySelector('.pane-header .modal-nav-menu a[href*="/shop/customer/menu.aspx"]').closest('li').classList.add('is-login');
      }
    })
    .catch(error => {
      console.log('エラーが発生しました', error);
    });
}

async function getAjaxList(url,tag,type) {
    let getHtml = '';
    await new Promise((resolve, reject) => {
        const ajaxXhr = new XMLHttpRequest();
        ajaxXhr.open('GET', url, true);
        ajaxXhr.responseType = 'document';
        ajaxXhr.addEventListener('load', (e) => {
            if (ajaxXhr.readyState === 4 && ajaxXhr.status !== 0) {
                if (ajaxXhr.response.querySelector(tag)) {

                	if (type === 'inner') {
                		getHtml = ajaxXhr.response.querySelector(tag).innerHTML;
                	} else {
                    	getHtml = ajaxXhr.response.querySelector(tag).outerHTML;
                	}

				    if (tag === '.pane-footer') {
				        document.getElementById('footer').outerHTML = getHtml;
				    }
				    if (tag === '.block-modal-menu') {
						let menu = document.createElement('div');
						menu.setAttribute('id','js-modal-menu');
						menu.setAttribute('class','block-modal-menu');
						menu.innerHTML = getHtml;
    					document.querySelector('.sp-header').appendChild(menu);
				    }
				    if (tag === '#js-ajax-header-html .pc-header') {
						let headerElm = document.createElement('div');
						headerElm.setAttribute('class','pc-header-inner');
						headerElm.innerHTML = getHtml;
    					document.querySelector('.pc-header').appendChild(headerElm);
				    }
				    if (tag === '#js-ajax-header-html .sp-header') {
						let spHeaderElm = document.createElement('div');
						spHeaderElm.setAttribute('class','sp-header-inner');
						spHeaderElm.innerHTML = getHtml;
    					document.querySelector('.sp-header').appendChild(spHeaderElm);
				    }

				    setTimeout(function(){
					    let headerH = document.querySelector('.pane-header:not(.is-fixed)').clientHeight;
					    	headerH = headerH + 10;
					    document.querySelector('body').style.paddingTop  = headerH + 'px';
				    },100);
                }
            }
            resolve(ajaxXhr);
        });
        ajaxXhr.send();
    });

    /*setTimeout(function(){
    	if (cookieVal === 'true') {
    		document.cookie = 'om-d_cmsBrowseModeSP=true';
    	} else {
    		document.cookie = 'om-d_cmsBrowseModeSP=false';
    	}
	},100);*/

    /*$.ajax({
        url: url,
        type: 'get',
        dataType: 'html',
        timeout: 10000
    })
    .then(
        function(data) {
        	getHtml = $(data).find(tag);
		    if (tag === '.pane-footer') {
		    	// $('#footer').html(getHtml);
		    	document.getElementById('footer').outerHTML = getHtml;
		    } else {
		        if (type === 'on') {
		    		$('.sp-header').append(getHtml);
		        } else {
		    		$('.pc-header').html(getHtml);
		        }
			    let headerH = document.querySelector('.pane-header:not(.is-fixed)').clientHeight;
			    	headerH = headerH + 10;
			    document.querySelector('body').style.paddingTop  = headerH + 'px';
		    }
        },
        function(XMLHttpRequest, textStatus, errorThrown) {
        }
    );*/

}

$(function(){
	"use strict";

	// ------------------------------------------------------------------------
	// Smart phone global navi toggle
	// ------------------------------------------------------------------------
	$('#navHeader > .navHdg > a').on( 'click', onMenuBtnClikedHandler );
	$('#navHeader > .navContent > .btnClose >a').on( 'click', onMenuBtnClikedHandler );

	function onMenuBtnClikedHandler( e ) {
		e.preventDefault();

		var $selector   = $('#navHeader');
		var className   = $selector.attr('class');
		var $navContent = $('#navHeader .navContent');
		var $navPageTop   = $('.navPageTop');
		var div = $('<div id="allwraper"></div>');

		var widowW = 0;

		// HACK: mobileSafariの幅取得
		if( window.innerHeight ){
			widowW = window.innerWidth;
		} else {
			widowW = $(window).width();
		};

		if( className === "navOpened" ) {
			//$('.productHeader').css('z-index','1100');
			if(($('.productNav .inner ul')[0]) && (widowW <= 640)){
				$('.productHeader').css('display','table');
			};
			$navContent.stop().animate({
					opacity: 0,
					height: 'toggle'
			}, {
				duration: 250,
				complete: function(){
					$navContent.css({ display: '', opacity: '' });
					$selector.removeClass('navOpened');
					$("body > div > div").unwrap();
					$navPageTop.css('display','block');
				}
			});
		} else {
			$selector.addClass('navOpened');
			//$('.productHeader').css('z-index','100');
			$('.productHeader').css('display','none');
			$navContent.css({
				display: 'none',
				opacity: 0
			})
			.stop().animate({
					height: 'toggle',
					opacity: 1
				}, {
					duration: 300,
					complete: function(){
						$("body > div").wrapAll(div);
						$navPageTop.css('display','none');
						var h = $navContent.height();
						$("#allwraper").css({overflow: 'hidden', 'height': h});
				 }
			});
		};
	};



	// ------------------------------------------------------------------------
	// Smart phone sub navi toggle
	// ------------------------------------------------------------------------
	$('.productHeader > .navBtn > a').click(function(){
		return false;
	});
	$('.productHeader > .navBtn > a span').on( 'click', onSubMenuBtnClikedHandler );
	$('.productHeader > .navContent > .btnClose > a').on( 'click', onSubMenuBtnClikedHandler );
	
	$('.productHeader > .navBtn > a').css('cursor','default');
	$('.productHeader > .navBtn > a span').css('cursor','pointer');

	function onSubMenuBtnClikedHandler( e ) {
		e.preventDefault();

		var $selector   = $('.productHeader');
		var className   = $selector.attr('class');
		var $navContent = $('.productHeader .navContent');
		var $navContentShop = $('.productHeader .navContentShop');
		var $icon       = $selector.find('.navBtn').find('span');

		if( className.indexOf("navOpened") !== -1 ) {
			$('.productHeader .navBtn span').css('background-position','0 0');
			$navContent.stop().animate({
				opacity: 0,
				height: 'toggle'
			}, {
				duration: 250,
				complete: function(){
					$navContent.css({ display: '', opacity: '' });
					$selector.removeClass('navOpened');
				}
			});

			//$icon.html('+');
		} else {
			$selector.addClass('navOpened');
			$('.productHeader .navBtn span').css('background-position','0 -35px');
			$navContent.css({
				display: 'none',
				opacity: 0 })
				.stop()
				.animate({
					height: 'toggle',
					opacity: 1
				}, {
					duration: 300
				});
			//$icon.html('-');
			
			if( className.indexOf("shopOpened") !== -1 ) {
			$('.productHeader .shopBtn span').css('background-position','0 0');
			$navContentShop.stop().animate({
				opacity: 0,
				height: 'toggle'
			}, {
				duration: 250,
				complete: function(){
					$navContentShop.css({ display: '', opacity: '' });
					$selector.removeClass('shopOpened');
					var widowW = 0;
					// HACK: mobileSafariの幅取得
					if( window.innerHeight ){
						widowW = window.innerWidth;
					} else {
						widowW = $(window).width();
					};
					if(widowW > 640){
						$('.productHeader .shopBtn > a').css({
						'background' : '#e09b12 url("/content/000000048.gif") no-repeat scroll 10px center',
						'font-size' : '14px',
						'padding' : '8px 10px 8px 30px',
						'color' : '#333'
							});
						$('.productHeader .shopBtn > a').text('shop');
					}

				}
			});
			
			}
			
			
		};
		
	};

	// ------------------------------------------------------------------------
	// Smart phone shop navi toggle
	// ------------------------------------------------------------------------
	$('.productHeader > .shopBtn > a').click(function(){
		return false;
	});
	
		var widowW = 0;
		// HACK: mobileSafariの幅取得
		if( window.innerHeight ){
			widowW = window.innerWidth;
		} else {
			widowW = $(window).width();
		};
		
		if(widowW <= 640){
			$('.productHeader > .shopBtn > a span').on( 'click', onShopMenuBtnClikedHandler );
		} else if(widowW > 640){
			$('.productHeader > .shopBtn > a').on( 'click', onShopMenuBtnClikedHandler );
		};
		
	$(window).resize(function(){
		if( window.innerHeight ){
			widowW = window.innerWidth;
		} else {
			widowW = $(window).width();
		};
		if(widowW <= 640){
			console.log("a");
			$('.productHeader > .shopBtn > a').off( 'click', onShopMenuBtnClikedHandler );
			$('.productHeader > .shopBtn > a span').off( 'click', onShopMenuBtnClikedHandler );
			$('.productHeader > .shopBtn > a span').on( 'click', onShopMenuBtnClikedHandler );
			$('.productHeader .shopBtn > a').css({
						'background' : 'url("/content/000082316.png") no-repeat scroll 0 0 / 35px auto',
						'height' : '35px',
						'width' : '35px',
						'padding' : '0',
						'text-indent' : '-9999px'
							});
		} else if(widowW > 640){
			console.log("b");
			$('.productHeader .shopBtn > a').css({
						'background' : '#e09b12 url("/content/000000048.gif") no-repeat scroll 10px center',
						'font-size' : '14px',
						'padding' : '8px 10px 8px 30px',
						'height' : 'auto',
						'width' : 'auto',
						'color' : '#333'
							});
			$('.productHeader > .shopBtn > a span').off( 'click', onShopMenuBtnClikedHandler );
			$('.productHeader > .shopBtn > a').off( 'click', onShopMenuBtnClikedHandler );
			$('.productHeader > .shopBtn > a').on( 'click', onShopMenuBtnClikedHandler );
		};
	});
	
	
	//$('.productHeader > .shopBtn > a span').on( 'click', onShopMenuBtnClikedHandler );
	
	$('.productHeader > .navContentShop > .btnClose > a').on( 'click', onShopMenuBtnClikedHandler );
	
	$('.productHeader > .navBtn > a').css('cursor','default');
	$('.productHeader > .navBtn > a span').css('cursor','pointer');

	function onShopMenuBtnClikedHandler( e ) {
		e.preventDefault();

		var $selector   = $('.productHeader');
		var className   = $selector.attr('class');
		var $navContent = $('.productHeader .navContent');
		var $navContentShop = $('.productHeader .navContentShop');
		var $icon       = $selector.find('.navBtn').find('span');

		if( className.indexOf("shopOpened") !== -1 ) {
			//$selector.removeClass('shopOpened');
			$('.productHeader .shopBtn span').css('background-position','0 0');
			$navContentShop.stop().animate({
				opacity: 0,
				height: 'toggle'
			}, {
				duration: 250,
				complete: function(){
					$navContentShop.css({ display: '', opacity: '' });
					$selector.removeClass('shopOpened');
					var widowW = 0;
					// HACK: mobileSafariの幅取得
					if( window.innerHeight ){
						widowW = window.innerWidth;
					} else {
						widowW = $(window).width();
					};
					if(widowW > 640){
						$('.productHeader .shopBtn > a').css({
						'background' : '#e09b12 url("/content/000000048.gif") no-repeat scroll 10px center',
						'font-size' : '14px',
						'padding' : '8px 10px 8px 30px',
						'color' : '#333'
							});
						$('.productHeader .shopBtn > a').text('shop');
					}
				}
			});



		} else {
			$selector.addClass('shopOpened');
			$('.productHeader .shopBtn span').css('background-position','0 -35px');

			
			var widowW = 0;

			// HACK: mobileSafariの幅取得
			if( window.innerHeight ){
				widowW = window.innerWidth;
			} else {
				widowW = $(window).width();
			};
			
			if((!$('.productNav .inner ul')[0]) && (widowW <= 640)){
			$navContentShop.css({
				display: 'none',
				opacity: 0 })
				.stop()
				.animate({
					height: 'toggle',
					opacity: 1
				}, {
					duration: 300
				});
				
			} else if((!$('.productNav .inner ul')[0]) && (widowW > 640)){
			$navContentShop.css({
				display: 'none',
				opacity: 0 })
				.stop()
				.animate({
					width: 'toggle',
					opacity: 1
				}, {
					duration: 300
				});
			};
			if(widowW > 640){
				$('.productHeader .shopBtn > a').css({
					'background-color' : '#D05A03',
					'font-size' : '14px',
					'background-image' : 'none',
					'padding' : '8px 31px 8px 30px',
					'text-align' : 'center',
					'color' : '#fff'
				});
				$('.productHeader .shopBtn > a').text('×');
			}
			

				
			if( className.indexOf("navOpened") !== -1 ) {
				$('.productHeader .navBtn span').css('background-position','0 0');
				$navContent.stop().animate({
					opacity: 0,
					height: 'toggle'
				}, {
					duration: 250,
					complete: function(){
						$navContent.css({ display: '', opacity: '' });
						$selector.removeClass('navOpened');
				}
			});
			}
			
			
		};
		return false;
	};





	// ------------------------------------------------------------------------
	// Menu area scrollable
	// ------------------------------------------------------------------------
	var contentH = $('.productHeader').find('.navContent').height();
	var contentHshop = $('.productHeader').find('.navContentShop').height();

	$(window).resize( subMenuMinHeightController );
	$(window).scroll( subMenuMinHeightController );

	subMenuMinHeightController();

	function subMenuMinHeightController(){
		if($('.productHeader').length) {
			ptY = $('.productHeader').offset().top;
		} else {
			ptY = 0;
		};

		$(window).off('resize', subMenuMinHeightController);

		var widowH = 0;

		// HACK: mobileSafariの高さ取得
		if( window.innerHeight ){
			widowH = window.innerHeight;
		} else {
			widowH = $(window).height();
		};
		
		var widowW = 0;

		// HACK: mobileSafariの幅取得
		if( window.innerHeight ){
			widowW = window.innerWidth;
		} else {
			widowW = $(window).width();
		};
		
		if((!$('.productNav .inner ul')[0]) && (widowW <= 640)){
			$('.productHeader').css('display','none')
		} else if((!$('.productNav .inner ul')[0]) && (widowW > 640)){
			$('.productHeader').css('display','block')
		};
		
		if((!$('.productHeader .shopBtn')[0]) && (!$('.productHeader .shopBtnLink')[0])){
			$('.productNav > .fixedWrap > .inner').css('width','100%')
		}

		if(widowW <= 640){
			//if( ( widowH - contentH ) < 30 ){
			if( ( widowH - contentH ) > 30 ){
				if($('.navFixed').length){
					//$('.productHeader').find('.navContent').css({ overflow:'auto', height:widowH - 120 });
					$('.productHeader').find('.navContent').css({ overflow:'auto', height:widowH - 63 });
				} else {
					$('.productHeader').find('.navContent').css({ overflow:'visible', height:widowH - 63 });
				};
			} else {
				$('.productHeader').find('.navContent').css({ overflow:'', height: '' });
			};
			
			if( ( widowH - contentHshop ) > 30 ){
				if($('.navFixed').length){
				console.log("auto");
					//$('.productHeader').find('.navContentShop').css({ overflow:'auto', height:widowH - 120 });
					$('.productHeader').find('.navContentShop').css({ overflow:'auto', height:widowH - 63 });
				} else {
				console.log("visible");
					$('.productHeader').find('.navContentShop').css({ overflow:'visible', height:widowH - 63 });
				};
			} else {
			console.log("no");
				$('.productHeader').find('.navContentShop').css({ overflow:'', height: '' });
			};
		} else {
			$('.productHeader').find('.navContent').css({ overflow:'', height: '' });
		};

		setTimeout(function(){
			$(window).on('resize', subMenuMinHeightController);
		}, 30);
	};

	// ------------------------------------------------------------------------
	// Global navi fix when scrolled
	// ------------------------------------------------------------------------
	var $gNavi = $('.productHeader');
	var ptY = 0;
	var gNaviAddFlg = false;
	var gnavclassName   = $('#navHeader').attr('class');
	
	if( $gNavi.length >= 1){
//		if( gnavclassName.indexOf("navOpened") !== -1){
			ptY = $gNavi.offset().top;
			gNaviAddFlg = false;

			setTimeout(function(){
				gNaviflattery()
			}, 6000);

			setTimeout(function(){
				$(window).scroll( gNaviflattery );
			}, 1000);
//		};
	};

	function gNaviflattery(){
		var windowW = $(window).width();
		var td  = $(window).scrollTop();

		if ( ptY <= td && !gNaviAddFlg ) {
			gNaviAddFlg = true;
			$gNavi
				//.css({ opacity: 0 })
				.stop()
				.animate({
						opacity: 0
					}, {
						duration: 500,
						//complete: function(){
						//$gNavi.clone().addClass('navFixed').insertAfter($gNavi);
						//}
					})
				.clone()
				.addClass('navFixed')
				.insertAfter($gNavi);

			if ($('.pane-header').length) {
				let headerH = $('.pane-header').outerHeight();
				$('.navFixed').css('top',headerH);
			}

			// addEvent to cloned element
			$('.navFixed .navBtn a span').on( 'click', onSubMenuBtnClikedHandler );
			$('.navFixed .btnClose a').on( 'click', onSubMenuBtnClikedHandler );
			$('.productHeader > .shopBtn > a').on( 'click', onShopMenuBtnClikedHandler );
			$('.productHeader > .navContentShop > .btnClose > a').on( 'click', onShopMenuBtnClikedHandler );
			
			$('.navFixed .navBtn a').click(function(){
				return false;
			});

			if( windowW <= oimc.generalSettings.breakPoint.POINT_B ){
				$('.productNav').find('.pullDown').children('a').off( 'click', shopButton );
				$('.navFixed').find('.pullDown').children('a').on( 'click', shopButton );
			} else {
				$('.productNav').find('.shopBtn').children('a').off( 'click', shopButton );
				$('.navFixed').find('.shopBtn').children('a').on( 'click', shopButton );
			};

			$('.navFixed').stop().animate({
				opacity: 1
			},{
				duration: 500
			});

			// key Event
			$(document).on('keydown', gNaviKeyboadEventHandler );

			gNaviWidthChange();
		} else if ( ptY >= td && gNaviAddFlg ) {
			gNaviAddFlg = false;
			$('.navFixed > .navBtn a').off( 'click', onSubMenuBtnClikedHandler );
			$('.navFixed > .btnClose a').off( 'click', onSubMenuBtnClikedHandler );

			if( windowW <= oimc.generalSettings.breakPoint.POINT_B ){
				$('.navFixed').find('.pullDown').children('a').off( 'click', shopButton );
				$('.productNav').find('.pullDown').children('a').on( 'click', shopButton );
			} else {
				$('.navFixed').find('.shopBtn').children('a').off( 'click', shopButton );
				$('.productNav').find('.shopBtn').children('a').on( 'click', shopButton );
			};

			// show slowly for tablet and smart phone
			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ) {
				$('.navFixed').stop().animate({
					opacity: 0
				},{
					duration: 600,
					complete: function(){
						$(this).remove();
					}
				});

				$gNavi.css({ opacity:0 })
					.stop().animate({
						opacity: 1
					},{
						duration: 600
					});
			} else {
				$(document).off('keydown', gNaviKeyboadEventHandler );
				$('.navFixed').remove();
				$gNavi.css({ opacity:0 })
					.stop().animate({
						opacity: 1
					},{
						duration: 60
					});
			};
		};
	};

	function gNaviKeyboadEventHandler(e) {
		var keyCode = e.keyCode;
		var flgStr = $(':focus').parents('.navFixed').attr('class');

		if( typeof flgStr !== 'undefined' ){
			return;
		};

		if( keyCode === 9 ){
			e.preventDefault();
			$('.navFixed .firstChild a').focus();
			$(document).off('keydown', gNaviKeyboadEventHandler );
		};
	};



	// ------------------------------------------------------------------------
	// Anchor navi fix when scrolled
	// ------------------------------------------------------------------------
	var $aNavi = $('.navPage01');
	var aNaviAddFlg;
	var aNaviDefaultPtY = 0;
	var aNaviWindowWidth = 0;

	$(window).on('resize', anchorFlatteryResizeHandler );

	function anchorFlatteryResizeHandler(){
		$(window).off('resize', anchorFlatteryResizeHandler);

		if( $aNavi.length === 0 ){
			return;
		};

		aNaviEqualizer();
		aNaviDefaultPtY = $aNavi.offset().top;
		aNaviWindowWidth = $(window).width();

		setTimeout(function(){
			$(window).on('resize', anchorFlatteryResizeHandler);
		}, 30);
	};

	function aNaviEqualizer(){
		if( $aNavi.length === 0 ){
			return;
		};

		var w = 100 + '%';
		var windowW = $(window).width();

		if( windowW <= oimc.generalSettings.breakPoint.POINT_D ){
			//w = windowW;
		};

		var $obj = $('.navFixed');
		$obj.css({ width:w });
	};

	function anchorFlatteryPrepare(){
		if( $aNavi.length === 0 ){
			return;
		};

		aNaviWindowWidth = $(window).width();
		aNaviDefaultPtY = $aNavi.offset().top;
		aNaviAddFlg = false;

		$('.navPage01 a').on( 'click', pageAnchorScrollFunc );

		setTimeout(function(){
			anchorFlattery()
		}, 3000);

		setTimeout(function(){
			$(window).scroll( anchorFlattery );
		}, 1000);
	};


	function anchorFlattery(){
		// doCheck!
		if( aNaviWindowWidth <= oimc.generalSettings.breakPoint.POINT_C ){
			return;
		};

		var td  = $(window).scrollTop();

		if ( aNaviDefaultPtY <= td && !aNaviAddFlg ) {
			aNaviAddFlg = true;

			if( $('.navFixed').length >= 1 ){
				$('.navFixed').remove();
			};

			$aNavi
				.css({ opacity: 0 })
				.clone()
				.addClass('navFixed')
				.insertAfter($aNavi);

			$('.navPage01 > li > a').off( 'click', pageAnchorScrollFunc );
			$('.navFixed > li > a').on( 'click', pageAnchorScrollFunc );

			$('.navFixed').stop().animate({
				opacity:1
			},{
				duration:600
			});

			aNaviEqualizer();
		} else if ( aNaviDefaultPtY >= td && aNaviAddFlg ) {
			aNaviAddFlg = false;

			$('.navPage01 > li > a').on( 'click', pageAnchorScrollFunc );
			$('.navFixed > li > a').off( 'click', pageAnchorScrollFunc );

			if( oimc.generalSettings.config.TOUCH_SUPPORT ){
				// For iPad
				$('.navFixed').stop()
					.animate({
						opacity: 0
					},{
						duration:400,
						complete:function(){
							$('.navFixed').remove();
						}
					});
			}else {
				// For PC
				$('.navFixed').remove();
			};

			$aNavi.css({ opacity: '' });
		};
	};



	// Smooth scroll
	function pageAnchorScrollFunc(e){
		var hrefName = $(e.currentTarget).attr('href');

		// doCheck!
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
			return;
		};

		var flg = false;
		if( uaNtv.IE ){
			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
				flg = true;
			};
		} else {
			flg = window.matchMedia( "(max-width: 767px)" ).matches;
		};

		if( flg ){
			return;
		};

		if( hrefName == 'undefined' || hrefName == '#' ){
			return;
		};

		if( hrefName.indexOf('#') === -1){
			return;
		};

		// Check current page or not
		var clickedUrl = hrefName.split(/#.*/)[0];

		if( clickedUrl !== "" && typeof clickedUrl !== "undefined" ){
			var thisUrl = oimc.generalSettings.config.THIS_HREF;
			thisUrl = thisUrl.replace(/https?:\/\/[^\/]+/, '');	// remove domain
			thisUrl = thisUrl.replace(/#.*/, ''); // remove hash
			thisUrl = thisUrl.replace(/index[0-9]?\.(html|htm)$/, '');	// remove index.html, index2.html

			clickedUrl = clickedUrl.replace(/https?:\/\/[^\/]+/, '');	// remove domain
			clickedUrl = clickedUrl.replace(/index[0-9]?\.(html|htm)$/, '');	// remove index.html, index2.html

			if( thisUrl !== clickedUrl ){
				return;
			};
		};

		e.preventDefault();

		// Only hash
		hrefName = hrefName.match(/#.*/)[0]

		var $obj = $( hrefName );

		if( $obj.length === 0 ){
			trace(hrefName + ' not fined!');
			return;
		};

		var ptY = $obj.offset().top - 40;

		$('html, body').stop()
			.animate({
				scrollTop: ptY
			}, {
				duration: 800,
				easing: 'easeOutCubic',
				complete: function(){

					// rewrite hash
					// window.location.hash = '';

				}
			});
	};

	anchorFlatteryPrepare();



	// ------------------------------------------------------------------------
	// Change sub navi width
	// ------------------------------------------------------------------------
	function gNaviWidthChange( flg ){
		var $obj = $('.navFixed');

		if( $obj.length === 0 ){
			return;
		};

		// Change width when smart phone
		var w = 100 + '%';
		var windowW = $(window).width();

		$obj.css({ width:w });

		if( flg ){
			setTimeout(function(){
				 $(window).on('resize', gNaviRezieHandler );
			}, 200);
		};
	};

	$(window).on('resize', gNaviRezieHandler );
	$(window).on('orientalchange', gNaviRezieHandler );

	function gNaviRezieHandler(){
		$(window).off('resize', gNaviRezieHandler );

		if( $gNavi.length === 0 ){
			return;
		};

		ptY = $gNavi.offset().top;
		gNaviflattery();
		gNaviWidthChange( true );
	};

	// Scroll to top
	$('.navPageTop a').on( 'click', function(e) {
		e.preventDefault();

		var $elem = $('html, body');

		$elem.stop()
			.animate({
				scrollTop: 0
			}, {
				duration: 800,
				easing: 'easeOutCubic'
			});
	});



	// ------------------------------------------------------------------------
	// Accordion for tablet and smart phone
	// ------------------------------------------------------------------------
	function bindLinkListAccordion() {
		if( $('body > .navLocal').length === 0 ){
			return;
		};

		$('.col > ul > li > a').on( 'click', linkListAccordion);
	};

	function linkListAccordion( e ){
		// windowSize check
		var dw = $(window).width();
		if( dw > oimc.generalSettings.breakPoint.POINT_C ){
			return;
		};

		// check submenu
		if( !$(this).parent().find('ul')[0] ) {
			return;
		};

		e.preventDefault();

		var $selector = $(this).parent('li');
		var className = $selector.attr('class');

		if( className === 'open' ){
			$selector.find('ul li')
				.stop()
				.animate({
					height: 'toggle'
				}, {
					duration: 200,
					complete: function(){
						$(this).css({ display: '' })
						$selector.removeClass('open');
					}
				});
		} else {
			$selector.addClass('open')
				.find('ul li')
				.stop()
				.css({ display: 'none' })
				.animate({
					height: 'toggle'
				}, {
					duration: 250
				});
		};
	};



	// ------------------------------------------------------------------------
	// Uniform linkList height [for 4 column]
	// ------------------------------------------------------------------------
	function linkListHeightEqualize(){
		$(window).off('resize', linkListHeightEqualize);

		// Delete height when accordion
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ) {
			$.each($('#navLocalContent div.col'), function(a){
				$(this).css({ 'height': '' });
			});

			setTimeout(function(){
				$(window).on('resize', linkListHeightEqualize);
			}, 30);

			return;
		};

		// For PC
		var $obj   = $('#navLocalContent div.col'),
			maxLen = $obj.length - 1,
			len    = Math.floor( maxLen / 4 + 1 ),
			i      = 0,
			j      = 0,
			maxHeiArr  = [],
			cnt = 0;

		// Set defualt
		$obj.css({ 'height':'' });

		for(; i < len; i++){
			var tempHeiArr = [];
			for(j = 0; j < 4; j++ ){
				var hei = $($obj[cnt]).css('height').replace('px', '');
				tempHeiArr.push(hei)
				cnt++;

				if( cnt > maxLen ){
					break;
				};
			};

			var maxH = Math.max.apply(null, tempHeiArr);
			maxHeiArr.push( maxH );
		}

		cnt = 0;
		for(i = 0; i < len; i++){
			for(j = 0; j < 4; j++ ){
				$($obj[cnt]).css({ 'height':maxHeiArr[i] });

				cnt++;
				if( cnt > maxLen ){
					break;
				};
			};
		};

		setTimeout(function(){
			$(window).on('resize', linkListHeightEqualize);
		}, 30);
	};



	// ------------------------------------------------------------------------
	// include subArea
	// ------------------------------------------------------------------------
	function includeSub() {
		var $subContainer = $('#sub');

		// doCheck!
		if( $subContainer.length === 0 ){
			return;
		};

		var str = $subContainer.data('include')

		// doCheck!
		if( typeof str === 'undefined' ){
			includeBookMarklet();
			return;
		};

		var result = (new Function("return " + str))(); // convert to object
		var url = result.source + oimc.generalSettings.config.CACHE_INVALID;

		$.ajax({
			type    : 'GET',
			url     : url,
			dataType: 'html',
			success: function( data ) {
				// add
				$subContainer.append( data );

				// include bookmarklet
				includeBookMarklet();
			},
			error:function() {
				// alert('err!');
			}
		});
	};



	// ------------------------------------------------------------------------
	// Arrange uniform height
	// ------------------------------------------------------------------------
	function equalizer(){
		listWidthSet();

		$('.imgList').equalize({ reset:true });
		//$('.imageCol2').equalize({ reset:true });
		//$('.imageCol3').equalize({ reset:true });
		//$('.imageCol4').equalize({ reset:true });
		//$('.listCol2').equalize({ reset:true });
		//$('.indexCol4').equalize({ reset:true });

		listCol2Equalizer();
		indexCol3Equalizer();
		indexCol4Equalizer();

		$(window).resize( linkListHeightEqualize );
	};



	// ------------------------------------------------------------------------
	// .listCol2
	// ------------------------------------------------------------------------
	function listCol2Equalizer(){
		var col = 2;
		var $obj = $('.listCol2');

		// doCheck!
		if( $obj.length === 0 ){
			return;
		};

		// Set default
		$obj.find('> li').css({ 'height':'' });

		// remove height when smart phone
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_B ) {
			return;
		};

		$.each($obj, function(){
			var $tempObj  = $(this).find('> li'),
				maxLen    = $tempObj.length - 1,
				len       = Math.floor( maxLen / col + 1 ),
				i         = 0,
				j         = 0,
				maxHeiArr = [],
				cnt       = 0;

			for(; i < len; i++){
				var tempHeiArr = [];
				for(j = 0; j < col; j++ ){
					var hei = $($tempObj[cnt]).css('height').replace('px', '');
					tempHeiArr.push(hei)
					cnt++;

					if( cnt > maxLen ){
						break;
					};
				};

				var maxH = Math.max.apply(null, tempHeiArr);
				maxHeiArr.push( maxH );
			};

			cnt = 0;
			for(i = 0; i < len; i++){
				for(j = 0; j < col; j++ ){
					$($tempObj[cnt]).css({ 'height':maxHeiArr[i] });
					cnt++;
					if( cnt > maxLen ){
						break;
					};
				};
			};
		});
	};


	// ------------------------------------------------------------------------
	// .indexCol3
	// ------------------------------------------------------------------------
	function indexCol3Equalizer(){
		var $obj = $('.indexCol3');

		// doCheck!
		if( $obj.length === 0 ){
			return;
		};

		// Set default
		$obj.children('li').css({ 'height':'' });
		$obj.find('.text').css({ 'height':'' });
		$obj.find('.productFunction').css({ 'height':'' });

		// Remove height when smart phone
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_B && !$obj.hasClass('indexLineup01')) {
			return;
		};

		// setTimeout for resize event
		setTimeout(function(){
			$.each($obj, function(){
				var $tempObj  = $(this).children('li'),
					$tempStr  = $tempObj.find('.text'),
					$tempFnc  = $tempObj.find('.productFunction'),
					len       = $tempObj.length,
					i         = 0,
					j         = 0,
					maxStrHeiArr = [],
					maxFncHeiArr = [];

				for(i = 0; i < len; i++){
					var strHei = $($tempStr[i]).css('height').replace('px', '');
					maxStrHeiArr.push( strHei )
					var fncHei = $($tempObj[i]).outerHeight();
					maxFncHeiArr.push( fncHei );
				};

				var maxStrH = Math.max.apply(null, maxStrHeiArr);
				var maxFncH = Math.max.apply(null, maxFncHeiArr);
				$tempStr.css({ 'height': maxStrH + 'px' });
				$tempObj.css({ 'height': maxFncH + 'px' });
			});
		}, 10);
	};



	// ------------------------------------------------------------------------
	// .indexCol4
	// ------------------------------------------------------------------------
	function indexCol4Equalizer(){
		var col = 0;

		// 2 column when smart phone
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_A ) {
			col = 2;
		}else {
			col = 4;
		};

		var $obj = $('.indexCol4');

		// doCheck!
		if( $obj.length === 0 ){
			return;
		};

		// Set default
		$obj.find('li').css({ 'height':'' });

		$.each($obj, function(){
			var $tempObj  = $(this).find('li'),
				maxLen    = $tempObj.length - 1,
				len       = Math.floor( maxLen / col + 1 ),
				i         = 0,
				j         = 0,
				maxHeiArr = [],
				cnt       = 0;

			for(; i < len; i++){
				var tempHeiArr = [];
				for(j = 0; j < col; j++ ){
					var hei = $($tempObj[cnt]).css('height').replace('px', '');
					tempHeiArr.push(hei)
					cnt++;

					if( cnt > maxLen ){
						break;
					};
				};

				var maxH = Math.max.apply(null, tempHeiArr);
				maxHeiArr.push( maxH );
			};

			cnt = 0;
			for(i = 0; i < len; i++){
				for(j = 0; j < col; j++ ){
					$($tempObj[cnt]).css({ 'height':maxHeiArr[i] });
					cnt++;
					if( cnt > maxLen ){
						break;
					};
				};
			};
		});
	};



	// ------------------------------------------------------------------------
	// Uniform height for global navigation
	// ------------------------------------------------------------------------
	var $gNaviObj = $('#navGlobal li a span');
	var gNaviLen  = $gNaviObj.length;

	function gNaviEqualizer(){
		var gNaviHeightArr = [],
			i = 0;

		// Get height
		for( i = 0; i < gNaviLen; i++){
			$( $gNaviObj[i] ).css( { height:'', lineHeight:'' } );
			var h = $( $gNaviObj[i] ).height();
			gNaviHeightArr.push( h );
		};

		// Check highest element
		var maxH = Math.max.apply(null, gNaviHeightArr);

		// Uniform height
		for( i = 0; i < gNaviLen; i++){
			$( $gNaviObj[i] ).height( maxH );

			if( gNaviHeightArr[i] !== maxH ){
				$( $gNaviObj[i] ).css( { lineHeight: maxH + 'px' } );
			};
		};
	};



	// ------------------------------------------------------------------------
	// imgSwitch height
	// ------------------------------------------------------------------------
	$(window).on( 'load', productImageEqualizer );

	function productImageEqualizer(){
		$(window).off( 'load', productImageEqualizer );

		var $obj = $('.productImage > ul');
		var widthQueryFlg = false;

		if( uaNtv.IE ){
			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
				widthQueryFlg = true;
			};
		} else {
			widthQueryFlg = window.matchMedia( "(max-width: 767px)" ).matches;
		};

		// doCheck
		if( $obj.length === 0 ){
			return;
		};

		$.each( $obj, function(){
			var $tempObj = $(this);

			// Set default
			$tempObj.css({'height': ''})

			// Get height
			var $img = $tempObj.find('li img')
			var hei = $img.get(0).offsetHeight;

			// Search element
			if( hei === 0 ){
				var len = $img.length;
				for(var i = 0; i < len; i++){
					hei = $($img[i]).height();

					if( hei !== 0 ){
						break;
					};
				};
			};

			if( $tempObj.find('.front').length >= 1 ){
				if( widthQueryFlg ){
					hei = hei * 2;
				};
			};

			$tempObj.css({'height': hei + 'px'});
		});
	};



	// ------------------------------------------------------------------------
	// Drop down navigation
	// ------------------------------------------------------------------------
	var $gNaviAddBaseObj      = $('#navHeader').find('.navLocal');
	var $gNaviGbl             = $('#navHeader').find('#navGlobal');
	var $gNaviGblSub          = $gNaviAddBaseObj.find('.navGlobalSub');
	var $gNaviGblSubLi        = $gNaviGblSub.find('li');
	var gNaviGblLen           = $gNaviGbl.children().length;
	var gNaviGblLoadedCnt     = 0;
	var gNaviGblClassNameArr  = [];
	var gNaviGblMenuOverdFlg  = false;
	var gNaviGblMenuOverdName = '';
	var resizeFlag = false;
	var eventCounter = false;
	var footerHtml = '';

	$(window).on('resize', gNaviAddToLocalNaviPrepare );

	function gNaviCurrent() {
		if($gNaviGbl.find('.active').length) {
			return;
		} else {
			var $targetNavi;
			var pageUrl = window.location.pathname.split('/');

			if(pageUrl[1]) {
				$targetNavi = $gNaviGbl.find('.' + pageUrl[1]);
			} else {
				$targetNavi = $gNaviGbl.find('.home');
			};

			$targetNavi.addClass('active');
		};
	};

	function gNaviAddToLocalNaviPrepare(e){
		$(window).off('resize', gNaviAddToLocalNaviPrepare);

		// doCheck
		if( $gNaviAddBaseObj.length === 0 ){
			return;
		};

		/*if( oimc.generalSettings.config.TOUCH_SUPPORT ){
			return;
		};*/

		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
			$gNaviGbl.find('.product').find('a').unbind('mouseover')
			$gNaviGbl.find('.product').find('a').unbind('mouseout')
			$gNaviAddBaseObj.find('> div').off('mouseover')
			$gNaviAddBaseObj.find('> div').off('mouseout')
			$gNaviAddBaseObj.find('> div').height('auto')
			$gNaviGblSub.find('a').off('mouseover')

			if(e && e.type == 'resize') {
				resizeFlag = true;
			} else {
				resizeFlag = false;
			};

			gNaviAddToLocalNavi();
		} else {
			if(e && e.type == 'resize') {
				resizeFlag = true;
			} else {
				resizeFlag = false;
			};

			gNaviAddToLocalNavi();
		};

		setTimeout(function(){
			$(window).on('resize', gNaviAddToLocalNaviPrepare);
		}, 30);
	};

	function gNaviAddToLocalNavi(e){
		var $obj = $gNaviGbl.children().eq(1);

		var className = $obj.attr('class');
		className = className.replace('active', '');
		className = className.replace(' ', '');

		gNaviGblClassNameArr.push( className );

		var savedValue = 0;
		// Excute after loaded thumbnail to get thumbnail height
		if(!eventCounter) {
			eventCounter = true;
			if(resizeFlag) {
				initGnavi();
			} else {
				$(window).on('load', initGnavi);
			};
		};

		function initGnavi() {
			for(var i=0; i<$gNaviAddBaseObj.find('.navItem').length; i++) {
				var newValue = $gNaviAddBaseObj.find('.navItem').eq(i).height();
				if(newValue > savedValue) {
					savedValue = newValue;
				};
			};

			$gNaviAddBaseObj.css({
				visibility: 'visible'
			})

			$gNaviAddBaseObj.find('.navItem').height(savedValue);
			
			$gNaviAddBaseObj
				.find('> div')
				.attr({ id: className + 'NavArea' })
				.css({ display:'none' });

			$gNaviAddBaseObj.css('height','auto');

			var catName = 'item_dslr';
			if(typeof $('#categoryFlag').attr("class") != 'undefined') {
				catName = $('#categoryFlag').attr('class');
			};

			if(catName !== 'item_none') {
				var headerCat = catName;

				var $itemDiv = $gNaviAddBaseObj.find('.catList').children('div');
				var currentIndex = $itemDiv.filter('#' + headerCat).index();
				$gNaviGblSub.find('li').filter('.' + headerCat.replace('item_', '')).addClass('current');
				$itemDiv.hide().filter('#' + headerCat).show();

				footerHtml = $itemDiv.filter('#' + catName).html();

				addFooterNav();

				if($(window).width() >= oimc.generalSettings.breakPoint.POINT_C){
					gNaviAddToLocalEventBind();
				};
			};
			addNewIcon();

		};
	}

	function addFooterNav() {
		var footerMenu = ''+
			'<div class="navLocal">'+
			'<div class="navLocalContent">'+
			'<div class="navItem">'+
			footerHtml +
			'</div><!-- /.navItem -->'+
			'</div><!-- /.navLocalContent -->'+
			'</div><!-- /.navLocal -->'
		;

		$('#footer').prepend(footerMenu);

		//sectionHdgEventBindFlg = false;
		//tabBlockEventBindFlg = false;
		//sectionHdgResizeHandler();
	var widowW = 0;
	// HACK: mobileSafariの幅取得
	if( window.innerHeight ){
		widowW = window.innerWidth;
	} else {
		widowW = $(window).width();
	};
	if(widowW >= 640){
		$('#footer ul.productList li .togglingEnabled a').click(function(event){
			var element = $(this).attr("href");
			var path = location.pathname;
			if((path == "/")||(path == "/index.html")||(path == "/product/")||(path == "/product/index.html")) {
				event.preventDefault();
				location.href = element;
			} else if(element.match(path) && element.match("#")){
				event.preventDefault();
				if(element.indexOf("#")>=0){
					var str_hash=element.substring(element.indexOf("#")+1,element.length);
				}
				location.hash = str_hash;
				//location.reload();
				var sectionHdgEventBindFlg = false;
				var tabBlockEventBindFlg = false;
				var elmFlag = false;
				var tabIndex = parseInt(location.hash.replace("#anc","")) - 1;

				$('.togglingEnabled').each(function() {
					var toggleContentsNum = $(this).find('.sectionHdg').length;
					if(toggleContentsNum === 0) {
						$(this).addClass('sectionOpened');
					}
				});

				if(tabIndex) {
					if($('.tabBlock').find('.tabNavi').find('li').eq(tabIndex).length) {
						elmFlag = true;
					};
				};

				$('.tabBlock').find('.tabNavi').find('li').removeClass('current');
				$('.tabBlock').find('.togglingEnabled').removeClass('sectionOpened');
				$('.tabBlock').find('.togglingEnabled').css('display','none');

				if(tabIndex && elmFlag) {
					$('.tabBlock').find('.tabNavi').find('li').eq(tabIndex).addClass('current');
					$('.tabBlock').find('.togglingEnabled').eq(tabIndex).addClass('sectionOpened');
					$('.tabBlock').find('.togglingEnabled').eq(tabIndex).css('display','block');

					listCol2Equalizer();
					indexCol3Equalizer();
					indexCol4Equalizer();
					productImageEqualizer();
				} else {
					$('.tabBlock').find('.tabNavi').find('li').first().addClass('current');
					$('.tabBlock').find('.togglingEnabled').first().addClass('sectionOpened');
					$('.tabBlock').find('.togglingEnabled').first().css('display','block');
					listCol2Equalizer();
					indexCol3Equalizer();
					indexCol4Equalizer();
					productImageEqualizer();
				};
				sectionHdgResizeHandler();
				
				var locate = location.href;
				if(locate.match('#anc0')){
					var ptY = $('#tabContents').offset().top;
					$('html, body').stop()
					.animate({
						scrollTop: ptY
					}, {
						duration: 800,
						easing: 'easeOutCubic'
					});
				}

			} else {
				event.preventDefault();
				location.href = element;
			}
		});
	}

	};

	function gNaviAddToLocalEventBind(){
		var closeDelay = 500;
		var closeTimer;

		$gNaviGbl.find('.product').find('a').bind('mouseover', function(e){
			clearTimeout(closeTimer);

			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
				return;
			};

			var widthQueryFlg = false;

			$gNaviAddBaseObj.addClass('navOpened');

			gNaviGblMenuOverdFlg = true;

			var $obj = $(e.currentTarget).parent();

			var className = $obj.attr('class');
			className = className.replace('active', ''); // remove other class
			className = className.replace(' ', '');

			if( gNaviGblMenuOverdName === className){
				return;
			};

			gNaviGblMenuOverdName = className;

			var $obj = $gNaviAddBaseObj.find( '#' + className + 'NavArea');

			//Set height to default
			$obj.css({ height:'' });

			//Get height
			var defaultHei = $obj.height();

			//Set none
			$gNaviAddBaseObj.find( '> div').css({ display: 'none'} );

			//Show only target
			$obj.stop()
				.css({ overflow:'hidden', height:0, display:'' })
				.animate({
					height: defaultHei
				},{
					duration:defaultHei * 1.2,
					easing: 'easeOutCubic',
					complete: function(){
						$(this).css({ overflow:'', height:'' });
					}
				});
		});

		$gNaviGbl.find('.product').find('a').bind('mouseout', function(e){
			clearTimeout(closeTimer);
			gNaviGblMenuOverdFlg = false;

			closeTimer = setTimeout(function(){
				if( !gNaviGblMenuOverdFlg ){
					gNaviSubMenuCloseHandler();
				};
			}, closeDelay);
		});

		$gNaviAddBaseObj.find('> div').on('mouseover' ,function(e){
			gNaviGblMenuOverdFlg = true;
		});

		$gNaviAddBaseObj.find('> div').on('mouseout' ,function(e){
			clearTimeout(closeTimer);
			gNaviGblMenuOverdFlg = false;

			closeTimer = setTimeout(function(){
				if( !gNaviGblMenuOverdFlg ){
					gNaviSubMenuCloseHandler();
				};
			}, closeDelay)
		});

		$gNaviGblSub.find('a').on('mouseover', function(e) {
			var dataPath = $(e.currentTarget).attr('rel');
			if((dataPath != undefined) && (!$(e.currentTarget).parent().hasClass('current'))) {
				var index = $(e.currentTarget).parent().index();
				$gNaviAddBaseObj.find('.catList').children('div').stop().hide().eq(index).fadeIn();
				$gNaviGblSub.find('li').removeClass('current');
				$(e.currentTarget).parent().addClass('current');
			};
		});
	};

	function gNaviSubMenuCloseHandler(){
		$gNaviAddBaseObj.find( '#' + gNaviGblMenuOverdName + 'NavArea' )
			.stop()
			.animate({
				height:30
			},{
				duration: 80,
				complete: function(){

					gNaviGblMenuOverdName = '';

					// Hide child element
					$gNaviAddBaseObj.find( '> div').css({ display: 'none'} );

					// Hide container
					$gNaviAddBaseObj.removeClass('navOpened');
				}
			});
	};

	gNaviAddToLocalNaviPrepare();
	$(window).on('load', gNaviCurrent);

	// ------------------------------------------------------------------------
	// Ajust for anchor link
	// ------------------------------------------------------------------------
	function urlHashCheck(){
		var hashName = location.hash;

		if( hashName.length === 0 ){
			return;
		};

		var $obj = $(hashName);

		if( $obj.length === 0 ){
			return;
		};

		// For PC
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
			$obj.parent().addClass('sectionOpened');
		};
	};

	urlHashCheck();

	// ------------------------------------------------------------------------
	// Shop button
	// ------------------------------------------------------------------------
	featureButton();

	$(window).on('resize', featureButton);

	function featureButton() {
		$('.productNav').find('.pullDown').children('a').off('click');
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_B ){
			$('.productNav').find('.pullDown').children('a').on( 'click', shopButton );
		} else {
			$('.productNav').find('.shopBtn').children('a').on( 'click', shopButton );
		};
	};

	function shopButton(e) {
		e.preventDefault();

		var $obj = $('.productNav');
		var targetID = $(e.currentTarget).parent().attr('id');
		var count = 0;

		for(var i=0; i<$obj.length; i++) {
			var $eachOcj = $obj.eq(i);
			var $btn = $eachOcj.find('#' + targetID);
			var $btnA = $btn.children('a');
			var $btnText = $btnA.children('span').first();
			var $btnIcon = $btnA.children('span').last();
			var $btnContents = $btn.find('.contents');
			var className   = $btn.attr('class');

			if(className == undefined) {
				className = '';
			};

			if(className.match(/navOpened/g)) {
				$btn.removeClass('navOpened');
				if(targetID == 'shopBtn') {
					$btnText.html('Shop');
				};
				$btnIcon.html('+');

				$btnContents.stop()
					.animate({
						opacity: 0,
						height: 'toggle'
					}, {
						duration: 250,
						complete: function(){
							$btnContents.css({ display: '', opacity: '' })
							if(count == 0) {
								contentH = $obj.last().height();
							};
							count++;
							subMenuMinHeightController();
						}
					});
			} else {
				$btn.addClass('navOpened');

				if( $(window).width() >= oimc.generalSettings.breakPoint.POINT_B ){
					$btnText.html('&times; Close');
				};

				$btnIcon.html('-');

				$btnContents.css({
					display: 'none',
					opacity: 0 })
					.stop()
					.animate({
						height: 'toggle',
						opacity: 1
					}, {
						duration: 300,
						complete: function() {
							if(count == 0) {
								contentH = $obj.last().height();
							};
							count++;
							subMenuMinHeightController();
						}
					});
			};
		};
	};

	// ------------------------------------------------------------------------
	// Add new icon
	// ------------------------------------------------------------------------
	function addNewIcon() {
		var $newObj = $('*[class^=update_]');
		for(var i=0; i<$newObj.length; i++) {
			var $target = $newObj.eq(i);
			var dateOrg = $target.attr('class').split(' ');
			var date;
			if($.isArray(dateOrg)) {
				for(var j=0; j<dateOrg.length; j++) {
					if(dateOrg[j].match(/update_/i)) {
						date = dateOrg[j];
					};
				};
				} else {
				date = dateOrg;
			};

			date = date.replace('update_', '').split('-');

			var thisDate = new Date(date[0] + "/" + date[1] + "/" + date[2]);
			var currentDate = new Date();
			var resultDay =(currentDate - thisDate) / (1000 * 24 * 3600);

			if(resultDay <= 180) {
				$target.after('<span class="iconNew">NEW</span>');
			};
		};
	};

	// ------------------------------------------------------------------------
	// Add loadding  2015/10/20
	// ------------------------------------------------------------------------
	$(window).ready(function(){
		$('.tabBlock').append($('<div id="tabContents_loadding">').append('<img src="/content/000000016.gif" />'));
	});
	
	$(window).load(function(){
		$("#tabContents_loadding").fadeOut();
		$("#tabContents").fadeIn();
	});

	// ------------------------------------------------------------------------
	// Toggle contents
	// ------------------------------------------------------------------------
	function getUrlVars() {
		var vars = [], hash;
		var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
		for(var i = 0; i < hashes.length; i++) {
			hash = hashes[i].split('=');
			vars.push(hash[0]);
			vars[hash[0]] = hash[1];
		};
		return vars;
	};

	var widowW = 0;
	// HACK: mobileSafariの幅取得
	if( window.innerHeight ){
		widowW = window.innerWidth;
	} else {
			widowW = $(window).width();
	};


	var sectionHdgEventBindFlg = false;
	var tabBlockEventBindFlg = false;
	var elmFlag = false;
	
	if(widowW <= 640){
		var tabIndex = parseInt(location.hash.replace("#anc",""));
	} else if(widowW > 640){
		var tabIndex = parseInt(location.hash.replace("#anc","")) - 1;
	};
	

	// default open (without heading) toggle contents
	$('.togglingEnabled').each(function() {
		var toggleContentsNum = $(this).find('.sectionHdg').length;

		if(toggleContentsNum === 0) {
			$(this).addClass('sectionOpened');
		}
	});

	if(tabIndex) {
		if($('.tabBlock').find('.tabNavi').find('li').eq(tabIndex).length) {
			elmFlag = true;
		};
	};

	$(window).load(function(){
	
		var widowW = 0;
		// HACK: mobileSafariの幅取得
		if( window.innerHeight ){
			widowW = window.innerWidth;
		} else {
				widowW = $(window).width();
		};
		
		$('.tabBlock').find('.tabNavi').find('li').removeClass('current');

		if(tabIndex && elmFlag) {
		
			if(widowW <= 640){
				$('.tabBlock').find('.tabNavi').find('li').eq(tabIndex - 1).addClass('current');
				$('.tabBlock').find('.togglingEnabled').eq(tabIndex - 1).addClass('sectionOpened');
			} else if(widowW > 640){
				$('.tabBlock').find('.tabNavi').find('li').eq(tabIndex).addClass('current');
				$('.tabBlock').find('.togglingEnabled').eq(tabIndex).addClass('sectionOpened');
			};

			// listCol2Equalizer();
			indexCol3Equalizer();
			indexCol4Equalizer();
			productImageEqualizer();
		} else {
			$('.tabBlock').find('.tabNavi').find('li').first().addClass('current');
		};

		sectionHdgResizeHandler();
	});

	$(window).on('resize', sectionHdgResizeHandler);

	function sectionHdgResizeHandler(){
		$(window).off('resize', sectionHdgResizeHandler);

		var flg = false;

		if( uaNtv.IE ){
			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_B ){
				flg = true;
			};
		} else {
			flg = window.matchMedia( "(max-width: 640px)" ).matches;
		};

		if( flg ){
			if( !sectionHdgEventBindFlg ){
				sectionHdgEventBindFlg = true;
				$('.togglingEnabled').find('.sectionHdg').off('click');
				$('.togglingEnabled').find('.sectionHdg').on('click', sectionHdgToggeleFunc);
				$('.tabBlock').find('.tabContents').find('a').on('click', function(e) {
					var data = $(e.currentTarget).parents('.togglingEnabled').index();
				});
			};
			if( tabBlockEventBindFlg ){
				tabBlockEventBindFlg = false;
				$('.tabBlock').find('.tabNavi').find('li').off('click', tabSwitchFunc).removeClass('current');
				$('.tabBlock').find('.tabContents').children('.togglingEnabled').show();
				productImageEqualizer();
			};
		} else {
			if( sectionHdgEventBindFlg ){
				sectionHdgEventBindFlg = false;
				$('.togglingEnabled').find('.sectionHdg').off('click', sectionHdgToggeleFunc);
			};
			if( !tabBlockEventBindFlg ){
				tabBlockEventBindFlg = true;
				var targetIndex = 0;

				if(tabIndex && elmFlag) {
					targetIndex = tabIndex;
				};

				$('.tabBlock').find('.tabNavi').find('li').on('click', tabSwitchFunc);
				$('.tabBlock').find('.tabContents').children('.togglingEnabled').hide().eq(targetIndex).show();
				productImageEqualizer();

				$('.tabBlock').find('.tabContents').find('a').on('click', function(e) {
					var data = $('.tabBlock').find('.tabNavi').find('.current').index();
				});
			};
		};

		setTimeout(function(){
			$(window).on('resize', sectionHdgResizeHandler);
		}, 30)
	};

	function GetCookie( name ) {
		var result = null;
		var cookieName = name + '=';
		var allcookies = document.cookie;
		var position = allcookies.indexOf( cookieName );

		if( position != -1 ) {
			var startIndex = position + cookieName.length;
			var endIndex = allcookies.indexOf( ';', startIndex );

			if( endIndex == -1 ) {
				endIndex = allcookies.length;
			};

			result = decodeURIComponent(allcookies.substring( startIndex, endIndex ));
		};

		return result;
	};

	function sectionHdgToggeleFunc(e){
		var $parentObj =  $(e.currentTarget).parents('.togglingEnabled');
		var className = String($parentObj.attr('class'));

		if( className.indexOf('sectionOpened') === -1 ){
			$parentObj.addClass('sectionOpened');
			$parentObj.find('.scrollX > .section.fixedWrap').addClass('is-fixed');

			var scrollTimer = false;

			$parentObj.find('.scrollX').scroll(function() {
				var $self = $(this);

				clearTimeout(scrollTimer);
				scrollTimer = setTimeout(function() {
					var scrollL = $self.scrollLeft();
					$self.find('.is-fixed').css('left', scrollL + 'px');
				}, 100);
			});

			// listCol2Equalizer();
			indexCol3Equalizer();
			indexCol4Equalizer();
			productImageEqualizer();
		}else {
			$parentObj.removeClass('sectionOpened');
//			$parentObj.find('.is-fixed').attr('style', '');
			$parentObj.find('.scrollX > .section.fixedWrap').removeClass('is-fixed');
		};
	};

	function tabSwitchFunc(e) {
		var $parentObj = $(e.currentTarget).parents('.tabBlock');
		var $tabLi = $parentObj.find('.tabNavi').find('li');
		var $contentsElm = $parentObj.find('.tabContents').children('div');
		var targetIndex = $(e.currentTarget).index();

		if(!$(e.currentTarget).hasClass('current')) {
			$tabLi.removeClass('current');
			$(e.currentTarget).addClass('current');
			$contentsElm.stop(true, false).hide().eq(targetIndex).fadeIn();

			// listCol2Equalizer();
			indexCol3Equalizer();
			indexCol4Equalizer();
			productImageEqualizer();
		};
	};

	$(window).on('resize', equalizeFunc );

	function equalizeFunc(e){
		$(window).off('resize', equalizeFunc);

		equalizer();
		gNaviEqualizer();
		productImageEqualizer();

		setTimeout(function(){
			$(window).on('resize', equalizeFunc);
		}, 30)
	}

	// uniform global navi height
	gNaviEqualizer();

	// uniform height after load
	$(window).load( equalizer );
	// ------------------------------------------------------------------------
	// ScrollX recognizer
	// ------------------------------------------------------------------------
	$(window).on('load', function() {
		var elm = $('.scrollX');
		var elmNum = elm.length;
		var targetClass = elm.parents('.col2Table');

		for(var i=0; i<elmNum; i++) {
			if(targetClass.length) {
				targetClass.css({
					display: 'block'
				});
			};
		};
		if($(".togglingEnabled:nth-child(1) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(1) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(2) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(2) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(3) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(3) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(4) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(4) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(5) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(5) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(6) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(6) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(7) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(7) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(8) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(8) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(9) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(9) > .sectionContent .guideArrow').css('display','none');
		};
		if($(".togglingEnabled:nth-child(10) .scrollX > ul > li").length == 1){
			$('.togglingEnabled:nth-child(10) > .sectionContent .guideArrow').css('display','none');
		};

				$("#contents .section:nth-child(1) .scrollX").bind("scroll", function() {
			var boxWidth1 = $("#contents .section:nth-child(1) .scrollX").width();
			var scrollWidth1 = $("#contents .section:nth-child(1) .scrollX ul").width();
			var scrollPosition1 = $("#contents .section:nth-child(1) .scrollX").scrollLeft();
		  if ( scrollPosition1 / (scrollWidth1 - boxWidth1) <= 0.95) {
		    $('#contents .section:nth-child(1) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(1) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(2) .scrollX").bind("scroll", function() {
			var boxWidth2 = $("#contents .section:nth-child(2) .scrollX").width();
			var scrollWidth2 = $("#contents .section:nth-child(2) .scrollX ul").width();
			var scrollPosition2 = $("#contents .section:nth-child(2) .scrollX").scrollLeft();
		  if ( scrollPosition2 / (scrollWidth2 - boxWidth2) <= 0.95) {
		    $('#contents .section:nth-child(2) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(2) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(3) .scrollX").bind("scroll", function() {
			var boxWidth3 = $("#contents .section:nth-child(3) .scrollX").width();
			var scrollWidth3 = $("#contents .section:nth-child(3) .scrollX ul").width();
			var scrollPosition3 = $("#contents .section:nth-child(3) .scrollX").scrollLeft();
		  if ( scrollPosition3 / (scrollWidth3 - boxWidth3) <= 0.95) {
		    $('#contents .section:nth-child(3) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(3) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(4) .scrollX").bind("scroll", function() {
			var boxWidth4 = $("#contents .section:nth-child(4) .scrollX").width();
			var scrollWidth4 = $("#contents .section:nth-child(4) .scrollX ul").width();
			var scrollPosition4 = $("#contents .section:nth-child(4) .scrollX").scrollLeft();
		  if ( scrollPosition4 / (scrollWidth4 - boxWidth4) <= 0.95) {
		    $('#contents .section:nth-child(4) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(4) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(5) .scrollX").bind("scroll", function() {
			var boxWidth5 = $("#contents .section:nth-child(5) .scrollX").width();
			var scrollWidth5 = $("#contents .section:nth-child(5) .scrollX ul").width();
			var scrollPosition5 = $("#contents .section:nth-child(5) .scrollX").scrollLeft();
		  if ( scrollPosition5 / (scrollWidth5 - boxWidth5) <= 0.95) {
		    $('#contents .section:nth-child(5) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(5) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(6) .scrollX").bind("scroll", function() {
			var boxWidth6 = $("#contents .section:nth-child(6) .scrollX").width();
			var scrollWidth6 = $("#contents .section:nth-child(6) .scrollX ul").width();
			var scrollPosition6 = $("#contents .section:nth-child(6) .scrollX").scrollLeft();
		  if ( scrollPosition6 / (scrollWidth6 - boxWidth6) <= 0.95) {
		    $('#contents .section:nth-child(6) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(6) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(7) .scrollX").bind("scroll", function() {
			var boxWidth7 = $("#contents .section:nth-child(7) .scrollX").width();
			var scrollWidth7 = $("#contents .section:nth-child(7) .scrollX ul").width();
			var scrollPosition7 = $("#contents .section:nth-child(7) .scrollX").scrollLeft();
		  if ( scrollPosition7 / (scrollWidth7 - boxWidth7) <= 0.95) {
		    $('#contents .section:nth-child(7) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(7) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(8) .scrollX").bind("scroll", function() {
			var boxWidth8 = $("#contents .section:nth-child(8) .scrollX").width();
			var scrollWidth8 = $("#contents .section:nth-child(8) .scrollX ul").width();
			var scrollPosition8 = $("#contents .section:nth-child(8) .scrollX").scrollLeft();
		  if ( scrollPosition8 / (scrollWidth8 - boxWidth8) <= 0.95) {
		    $('#contents .section:nth-child(8) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(8) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(9) .scrollX").bind("scroll", function() {
			var boxWidth9 = $("#contents .section:nth-child(9) .scrollX").width();
			var scrollWidth9 = $("#contents .section:nth-child(9) .scrollX ul").width();
			var scrollPosition9 = $("#contents .section:nth-child(9) .scrollX").scrollLeft();
		  if ( scrollPosition9 / (scrollWidth9 - boxWidth9) <= 0.95) {
		    $('#contents .section:nth-child(9) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(9) > .guideArrow').css('display','none');
			}
		});
		
		$("#contents .section:nth-child(10) .scrollX").bind("scroll", function() {
			var boxWidth10 = $("#contents .section:nth-child(10) .scrollX").width();
			var scrollWidth10 = $("#contents .section:nth-child(10) .scrollX ul").width();
			var scrollPosition10 = $("#contents .section:nth-child(10) .scrollX").scrollLeft();
		  if ( scrollPosition10 / (scrollWidth10 - boxWidth10) <= 0.95) {
		    $('#contents .section:nth-child(10) > .guideArrow').css('display','block');
			} else {
        $('#contents .section:nth-child(10) > .guideArrow').css('display','none');
			}
		});
		
		
		
		

		$(".togglingEnabled:nth-child(1) .scrollX").bind("scroll", function() {
			var boxWidth1 = $(".togglingEnabled:nth-child(1) .scrollX").width();
			var scrollWidth1 = $(".togglingEnabled:nth-child(1) .scrollX ul").width();
			var scrollPosition1 = $(".togglingEnabled:nth-child(1) .scrollX").scrollLeft();
		  if ( scrollPosition1 / (scrollWidth1 - boxWidth1) <= 0.95) {
		    $('.togglingEnabled:nth-child(1) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(1) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(2) .scrollX").bind("scroll", function() {
			var boxWidth2 = $(".togglingEnabled:nth-child(2) .scrollX").width();
			var scrollWidth2 = $(".togglingEnabled:nth-child(2) .scrollX ul").width();
			var scrollPosition2 = $(".togglingEnabled:nth-child(2) .scrollX").scrollLeft();
		  if ( scrollPosition2 / (scrollWidth2 - boxWidth2) <= 0.95) {
		    $('.togglingEnabled:nth-child(2) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(2) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(3) .scrollX").bind("scroll", function() {
			var boxWidth3 = $(".togglingEnabled:nth-child(3) .scrollX").width();
			var scrollWidth3 = $(".togglingEnabled:nth-child(3) .scrollX ul").width();
			var scrollPosition3 = $(".togglingEnabled:nth-child(3) .scrollX").scrollLeft();
		  if ( scrollPosition3 / (scrollWidth3 - boxWidth3) <= 0.95) {
		    $('.togglingEnabled:nth-child(3) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(3) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(4) .scrollX").bind("scroll", function() {
			var boxWidth4 = $(".togglingEnabled:nth-child(4) .scrollX").width();
			var scrollWidth4 = $(".togglingEnabled:nth-child(4) .scrollX ul").width();
			var scrollPosition4 = $(".togglingEnabled:nth-child(4) .scrollX").scrollLeft();
		  if ( scrollPosition4 / (scrollWidth4 - boxWidth4) <= 0.95) {
		    $('.togglingEnabled:nth-child(4) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(4) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(5) .scrollX").bind("scroll", function() {
			var boxWidth5 = $(".togglingEnabled:nth-child(5) .scrollX").width();
			var scrollWidth5 = $(".togglingEnabled:nth-child(5) .scrollX ul").width();
			var scrollPosition5 = $(".togglingEnabled:nth-child(5) .scrollX").scrollLeft();
		  if ( scrollPosition5 / (scrollWidth5 - boxWidth5) <= 0.95) {
		    $('.togglingEnabled:nth-child(5) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(5) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(6) .scrollX").bind("scroll", function() {
			var boxWidth6 = $(".togglingEnabled:nth-child(6) .scrollX").width();
			var scrollWidth6 = $(".togglingEnabled:nth-child(6) .scrollX ul").width();
			var scrollPosition6 = $(".togglingEnabled:nth-child(6) .scrollX").scrollLeft();
		  if ( scrollPosition6 / (scrollWidth6 - boxWidth6) <= 0.95) {
		    $('.togglingEnabled:nth-child(6) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(6) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(7) .scrollX").bind("scroll", function() {
			var boxWidth7 = $(".togglingEnabled:nth-child(7) .scrollX").width();
			var scrollWidth7 = $(".togglingEnabled:nth-child(7) .scrollX ul").width();
			var scrollPosition7 = $(".togglingEnabled:nth-child(7) .scrollX").scrollLeft();
		  if ( scrollPosition7 / (scrollWidth7 - boxWidth7) <= 0.95) {
		    $('.togglingEnabled:nth-child(7) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(7) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(8) .scrollX").bind("scroll", function() {
			var boxWidth8 = $(".togglingEnabled:nth-child(8) .scrollX").width();
			var scrollWidth8 = $(".togglingEnabled:nth-child(8) .scrollX ul").width();
			var scrollPosition8 = $(".togglingEnabled:nth-child(8) .scrollX").scrollLeft();
		  if ( scrollPosition8 / (scrollWidth8 - boxWidth8) <= 0.95) {
		    $('.togglingEnabled:nth-child(8) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(8) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(9) .scrollX").bind("scroll", function() {
			var boxWidth9 = $(".togglingEnabled:nth-child(9) .scrollX").width();
			var scrollWidth9 = $(".togglingEnabled:nth-child(9) .scrollX ul").width();
			var scrollPosition9 = $(".togglingEnabled:nth-child(9) .scrollX").scrollLeft();
		  if ( scrollPosition9 / (scrollWidth9 - boxWidth9) <= 0.95) {
		    $('.togglingEnabled:nth-child(9) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(9) > .sectionContent .guideArrow').css('display','none');
			}
		});
		
		$(".togglingEnabled:nth-child(10) .scrollX").bind("scroll", function() {
			var boxWidth10 = $(".togglingEnabled:nth-child(10) .scrollX").width();
			var scrollWidth10 = $(".togglingEnabled:nth-child(10) .scrollX ul").width();
			var scrollPosition10 = $(".togglingEnabled:nth-child(10) .scrollX").scrollLeft();
		  if ( scrollPosition10 / (scrollWidth10 - boxWidth10) <= 0.95) {
		    $('.togglingEnabled:nth-child(10) > .sectionContent .guideArrow').css('display','block');
			} else {
        $('.togglingEnabled:nth-child(10) > .sectionContent .guideArrow').css('display','none');
			}
		});
	});

	//$('ul.tabNavi a').on('click',pageAnchorScrollFunc);
	$('ul.tabNavi a.selectTabContent').on('click',function(e){
		// doCheck!
		if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
			return;
		};

		var flg = false;
		if( uaNtv.IE ){
			if( $(window).width() <= oimc.generalSettings.breakPoint.POINT_C ){
				flg = true;
			};
		} else {
			flg = window.matchMedia( "(max-width: 767px)" ).matches;
		};
		if( flg ) return;

		//e.preventDefault();

		var ptY = $('#tabContents').offset().top - 100;

		$('html, body').stop()
			.animate({
				scrollTop: ptY
			}, {
				duration: 800,
				easing: 'easeOutCubic'
			});
	});
	$('.guideArrow').on('touchend',function(e){
		var $scrollX = $(this).closest('.fixedWrap').find('.scrollX');
		var $ul = $scrollX.find('ul').eq(0);
		var offset = $scrollX.find('li').eq(0).outerWidth(true);
		var targetPosition = ($ul.offset().left - ($ul.offset().left % offset)) * -1 + offset;
		$scrollX.animate({
			scrollLeft:targetPosition
		},300);
		
	});

	var gnavClicked = false;
	$('.productList a').on('click',function(e){
		gnavClicked =true;
	});
	window.onhashchange = function(){
		if(gnavClicked)
			window.location.reload();
	};
	// ------------------------------------------------------------------------
	// sp image  2015/10/20
	// ------------------------------------------------------------------------
        var $img_pc = $('.introduce .fixedWrap > div:first-child');
        var $img_sp = $('.img_sp');

	$(document).ready(function(){
		var screen_width = $(document).width();
		if(screen_width <= 640){
			if($('.img_sp')[0]){
				$img_sp.css('display', 'block');
				$img_pc.css('display', 'none');
			} else {
				$img_sp.css('display', 'none');
				$img_pc.css('display', 'block');
			};
		} else {
			$img_sp.css('display', 'none');
			$img_pc.css('display', 'block');
		};
	});


	$(window).resize(function(){
		var screen_width2 = $(document).width();
		if(screen_width2 <= 640){
			if($('.img_sp')[0]){
				$img_sp.css('display', 'block');
				$img_pc.css('display', 'none');
			} else {
				$img_sp.css('display', 'none');
				$img_pc.css('display', 'block');
			};
		} else {
			$img_sp.css('display', 'none');
			$img_pc.css('display', 'block');
		};
	});
});

	// ------------------------------------------------------------------------
	// tab menu scroll  2016/0209/20
	// ------------------------------------------------------------------------
$(document).ready(function(){
	var locate = location.href;
	if(locate.match('#anc0')){
		var ptY = $('#tabContents').offset().top;
		$('html, body').stop()
		.animate({
			scrollTop: ptY
		}, {
			duration: 800,
			easing: 'easeOutCubic'
		});
	}
	if((!$(".productHeader .shopBtn")[0]) && (!$(".productHeader .shopBtnLink")[0])){
		$(".productHeader .subNav").css('margin-top','0')
	};
});